%define oname gCAD3D

%ifarch x86_64
%define ARCH 64
%else
%define ARCH 32
%endif

Name:			gcad3d
Version:		2.42.04
Release:		%mkrel 3
Summary:		A 3D CAD CAM application
Group:			Graphics/3D
License:		GPLv3+
URL:			http://www.gcad3d.org
Source0:		http://www.gcad3d.org/download/%{oname}_%{version}-src.zip
BuildRequires:	ctags
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	unzip
BuildRequires:	gcc-c++
Requires:		tar
Requires:		zenity

%description
gCAD3D is a 3D CAD CAM application that features an integrated 3D OpenGL
viewer, a program interpreter for geometry and NC-commands in 3D, an
integrated NC-processor, and a programming interface for user programs.

It can:
-Import and display data from Iges, Step, wire frame and solid objects
-Create and modify wire frame elements
-Create surfaces
-Create simple solid bodies
-Assemble user-created ancillary programs
-Export wire frame elements as DXF and Iges
-Export surfaces as Vrml-1, Vrml-2, obj, tw Iges

%prep
%setup -q -n mnt/serv1/Devel/%{name}
mkdir -p binLinux%{ARCH}/plugins
echo export gcad_dir_dev=$PWD/ >> src/options.sh
echo export gcad_dir_bin=$PWD/binLinux%{ARCH}/ >> src/options.sh
# https://github.com/gcad3d/gcad3d/issues/28
find ./ -name *.c -exec chmod 644 {} \;

%build
pushd src/APP
./do debug_OFF
./do complete
popd
# clean up
find binLinux%{ARCH} -type f -name "*.o" -delete
rm -f doc/msg/Readme

%install
install -D -m 644 src/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 644 icons/gCAD3D.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a icons %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_libdir}
cp -a binLinux%{ARCH} %{buildroot}%{_libdir}/%{name}
cp -f packages/examples.gz %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/%{name}/doc
cp -a doc/msg %{buildroot}%{_datadir}/%{name}/doc
cp -a doc/html %{buildroot}%{_datadir}/%{name}/doc
mkdir -p %{buildroot}%{_bindir}
# recreate startup script
echo "#! /bin/sh" > src/%{name}
echo "export LD_LIBRARY_PATH=%{_libdir}/%{name}" >> src/%{name}
echo "%{_libdir}/%{name}/gCAD3D \$*" >> src/%{name}
install -m 755 src/%{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README TODO LICENSE* doc/gCAD3D_log.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_libdir}/%{name}
%{_datadir}/%{name}


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.42.04-3.mga8
+ Revision: 1520534
- Mageia 8 Mass Rebuild

* Mon Nov 26 2018 alexl <alexl> 2.42.04-2.mga7
+ Revision: 1335727
- debug_OFF

* Tue Nov 20 2018 alexl <alexl> 2.42.04-1.mga7
+ Revision: 1332099
- version 2.42.04
- enable debug pkg
- version 2.42.03
- add more br
- version 2.42.01
- version 2.42

* Tue Oct 09 2018 alexl <alexl> 2.41-0.git0536886.1.mga7
+ Revision: 1318885
- the latest git snapshot
- add tar and zenity requires
- use upstream desktop file
- install examples.gz
- startup script instead of symlink

* Tue Oct 02 2018 alexl <alexl> 2.40-1.mga7
+ Revision: 1314547
- version 2.40
- build from sources
- enable debug package
- GPLv3+ licence
- update description

* Thu Sep 20 2018 umeabot <umeabot> 2.01-6.mga7.nonfree
+ Revision: 1278399
- Mageia 7 Mass Rebuild

* Fri Jul 07 2017 akien <akien> 2.01-5.mga6.nonfree
+ Revision: 1109190
- Mageia 6 rebuild

* Tue Jan 06 2015 alexl <alexl> 2.01-4.mga5.nonfree
+ Revision: 808843
- added GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 2.01-3.mga5.nonfree
+ Revision: 750676
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.01-2.mga5.nonfree
+ Revision: 679431
- Mageia 5 Mass Rebuild

* Tue Apr 22 2014 alexl <alexl> 2.01-1.mga5.nonfree
+ Revision: 617436
- imported package gcad3d

